%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major		3
%define api		0
%define libname		%mklibname %{name} %{api} %{major}
%define girname		%mklibname %{name}-gir %{api}
%define develname	%mklibname %{name} -d

%bcond_without gsettings

Summary:	A configuration storage system for Xfce
Name:		xfconf
Version:	4.18.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/xfconf/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	git-core
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libxfce4util-1.0) >= 4.18.0
Requires:	dbus-x11

%description
Xfconf is a hierarchical (tree-like) configuration
system for the Xfce graphical desktop environment.

%package -n %{libname}
Summary:	Main library for xfconf
Group:		System/Libraries
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
Main library for the xfconf, a configuration
storage system for Xfce.

%package -n %{girname}
Summary:	GObject Introspection interface description for Xfconf
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for Xfconf.

%package -n %{develname}
Summary:	Development files for xfconf
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
%xdt_autogen
%configure \
	%{?with_gsettings:--enable-gsettings-backend} \
        --disable-static

%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

# dummy
mkdir -p %{buildroot}%{_sysconfdir}/xdg/xfce4/xfconf

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS ChangeLog
%dir %{_sysconfdir}/xdg/xfce4/xfconf
%{_bindir}/xfconf-query
%{_libdir}/xfce4/%{name}/xfconfd
%if %{with gsettings}
%{_libdir}/gio/modules/libxfconfgsettingsbackend.so
%endif
%{_datadir}/dbus-1/services/org.xfce.Xfconf.service
%{_datadir}/bash-completion/completions/xfconf-query

%files -n %{libname}
%{_libdir}/*xfconf-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Xfconf-%{api}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/xfconf
%{_includedir}/xfce4/xfconf-%{api}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/lib%{name}-%{api}.pc
%{_datadir}/vala/vapi/libxfconf-0.{deps,vapi}
%{_datadir}/gir-1.0/Xfconf-%{api}.gir


%changelog
* Sat Apr 22 2023 wally <wally> 4.18.1-1.mga9
+ Revision: 1954032
- new version 4.18.1

* Fri Dec 16 2022 wally <wally> 4.18.0-1.mga9
+ Revision: 1923748
- new version 4.18.0

* Sat Dec 03 2022 wally <wally> 4.17.2-1.mga9
+ Revision: 1915969
- new version 4.17.2

* Thu Nov 10 2022 wally <wally> 4.17.1-1.mga9
+ Revision: 1905120
- new version 4.17.1

* Tue Nov 08 2022 wally <wally> 4.17.0-2.mga9
+ Revision: 1904726
- add patch from upstream MR!26 to write locale independent floating point values

* Fri Nov 04 2022 wally <wally> 4.17.0-1.mga9
+ Revision: 1902842
- new version 4.17.0

* Sat Mar 26 2022 umeabot <umeabot> 4.16.0-2.mga9
+ Revision: 1827954
- Mageia 9 Mass Rebuild

* Wed Dec 23 2020 wally <wally> 4.16.0-1.mga8
+ Revision: 1663178
- new version 4.16.0

* Mon Nov 16 2020 wally <wally> 4.15.1-2.mga8
+ Revision: 1646699
- fix build with autoconf >= 2.69d

* Mon Nov 09 2020 wally <wally> 4.15.1-1.mga8
+ Revision: 1644168
- new version 4.15.1

* Fri Jul 17 2020 wally <wally> 4.15.0-1.mga8
+ Revision: 1606672
- new version 4.15.0
- enable GSettings backend support

* Wed May 06 2020 wally <wally> 4.14.3-1.mga8
+ Revision: 1581244
- new version 4.14.3

* Sun May 03 2020 wally <wally> 4.14.1-4.mga8
+ Revision: 1578130
- drop perl bindings

* Sun Feb 16 2020 umeabot <umeabot> 4.14.1-3.mga8
+ Revision: 1530165
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Aug 27 2019 tmb <tmb> 4.14.1-2.mga8
+ Revision: 1433951
- rebuild for perl 5.30

* Mon Aug 12 2019 wally <wally> 4.14.1-1.mga8
+ Revision: 1428946
- new version 4.14.1

* Sat Jun 29 2019 wally <wally> 4.13.8-1.mga8
+ Revision: 1415584
- new version 4.13.8
- add vala and gi typelib support

* Sat May 18 2019 wally <wally> 4.13.7-1.mga7
+ Revision: 1398266
- new version 4.13.7
- drop upstreamed patches

* Wed May 01 2019 wally <wally> 4.13.6-2.mga7
+ Revision: 1396091
- disable gsettings backend until is's fully working

* Mon Nov 19 2018 wally <wally> 4.13.6-1.mga7
+ Revision: 1331826
- new version 4.13.6

* Sun Sep 23 2018 umeabot <umeabot> 4.13.5-3.mga7
+ Revision: 1301893
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 4.13.5-2.mga7
+ Revision: 1250751
- rebuild for perl-5.28

* Mon Jun 18 2018 wally <wally> 4.13.5-1.mga7
+ Revision: 1237807
- new version 4.13.5

* Thu Oct 05 2017 wally <wally> 4.13.4-1.mga7
+ Revision: 1169188
- new version 4.13.4

* Thu Sep 28 2017 wally <wally> 4.13.3-1.mga7
+ Revision: 1161120
- new version 4.13.3

* Sat Jul 22 2017 neoclust <neoclust> 4.12.1-2.mga7
+ Revision: 1126744
- Rebuild against new Perl 5.26

* Tue Nov 01 2016 wally <wally> 4.12.1-1.mga6
+ Revision: 1064509
- new version 4.12.1

* Sun Jun 19 2016 pterjan <pterjan> 4.12.0-5.mga6
+ Revision: 1036654
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 4.12.0-4.mga6
+ Revision: 959252
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 tv <tv> 4.12.0-3.mga6
+ Revision: 846144
- rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 4.12.0-2.mga6
+ Revision: 841196
- Rebuild for perl 5.22

* Tue Mar 03 2015 wally <wally> 4.12.0-1.mga5
+ Revision: 817390
- new version 4.12.0

* Wed Oct 15 2014 umeabot <umeabot> 4.10.0-8.mga5
+ Revision: 744934
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.10.0-7.mga5
+ Revision: 690643
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 4.10.0-6.mga5
+ Revision: 632389
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.10.0-5.mga4
+ Revision: 524141
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 4.10.0-4.mga4
+ Revision: 430317
- rebuild for new perl

* Mon Jan 14 2013 umeabot <umeabot> 4.10.0-3.mga3
+ Revision: 386886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 4.10.0-2.mga3
+ Revision: 251614
- perl 5.16 rebuild

* Mon May 28 2012 wally <wally> 4.10.0-1.mga3
+ Revision: 248409
- new version 4.10.0
- move docs to devel pkg
- don't regenerate docs at build time
- clean .spec

* Sat Dec 24 2011 wally <wally> 4.8.1-1.mga2
+ Revision: 187159
- new version 4.8.1

* Wed Sep 14 2011 fwang <fwang> 4.8.0-3.mga2
+ Revision: 143393
- drop .la files

* Sun Jun 12 2011 ahmad <ahmad> 4.8.0-2.mga2
+ Revision: 104500
- Rebuild for perl-5.14.0

* Thu Jan 27 2011 ahmad <ahmad> 4.8.0-1.mga1
+ Revision: 41566
- imported package xfconf


* Wed Jan 19 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.8.0-1mdv2011.0
+ Revision: 631655
- update to new version 4.8.0

* Thu Jan 06 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.5-1mdv2011.0
+ Revision: 629099
- update to new version 4.7.5

* Sat Dec 04 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.4-1mdv2011.0
+ Revision: 609296
- update to new version 4.7.4

* Fri Sep 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.7.3-1mdv2011.0
+ Revision: 579276
- update to new version 4.7.3
- fix file list
- handle new url for Source0

* Thu Jul 22 2010 Jérôme Quelin <jquelin@mandriva.org> 4.6.2-2mdv2011.0
+ Revision: 556783
- perl 5.12 rebuild

* Thu Jul 15 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.2-1mdv2011.0
+ Revision: 553659
- update to new version 4.6.2

* Mon Mar 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-4mdv2010.1
+ Revision: 513125
- disable checks for non existing settings

* Thu Feb 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 511087
- add missing requires and buildrequires

* Sat Jan 02 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-2mdv2010.1
+ Revision: 484913
- library should require binaries

* Tue Apr 21 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 368570
- update to new version 4.6.1

* Thu Mar 05 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.6.0-2mdv2009.1
+ Revision: 349233
- rebuild whole xfce

* Fri Feb 27 2009 Jérôme Soyer <saispo@mandriva.org> 4.6.0-1mdv2009.1
+ Revision: 345642
- New upstream release

* Mon Jan 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.99.1-1mdv2009.1
+ Revision: 333867
- update to new version 4.5.99.1

* Wed Jan 14 2009 Jérôme Soyer <saispo@mandriva.org> 4.5.93-1mdv2009.1
+ Revision: 329529
- New upstream release
- New upstream release

* Wed Dec 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-3mdv2009.1
+ Revision: 312380
- requires dbus-x11

* Mon Nov 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-2mdv2009.1
+ Revision: 306418
- own /etc/xdg/xfce4/xfconf dir
- add full path for the Source0

* Sat Nov 15 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.92-1mdv2009.1
+ Revision: 303482
- introduce perl-xfconf subpackage
- bump major
- obsolete old library
- update to new version 4.5.92 (Xfce 4.6 Beta 2 Hopper)
- enable perl bindings
- own missing directory

* Thu Oct 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 4.5.91-1mdv2009.1
+ Revision: 294440
- Xfce4.6 beta1 is landing on cooker
- add source and spec files
- Created package structure for xfconf.

